Subject: Re: FVWM: Bindings to keycodes.

From: Roy Dragseth <[email-masked]>
Date: Fri, 28 Jun 1996 15:44:56 METDST

> >>>>> Roy Dragseth writes:
> 
> R> Hi.
> R> Is it possible to bind function to a keycode? This may sound strange,
> R> but my Xserver (HP Xterminal) seems to have a hardcoded upper limit on
> R> keycodes that it is possible to bind to a keysym. I've got my hands on
> R> a MS Natural Keyboard and want to use the extra buttons (Windows, and
> R> Print buttons) on it. When try to use xmodmap to bind the windows
> R> button to something I get:
> 
> > xmodmap -e "keycode 148 = backslash"
> R> xmodmap:  commandline:0:  bad keycode value (out of range)
> R> xmodmap:  1 errors encountered, aborting.
> 
> 
> R> Just curious if it is possible to do it, would love to bind some menus
> R> to it.
> yes it is.
> 
> I think you can only use predefined keysyms, so search for an unused one
> (sorry I don't knoe the file to look for, since I only remember having
> heard this on this list around December/Januar/February)
> have a look in the archive (pointer is on Fvwm Homepage)
> 

The problem is that xmodmap won't accept any keycodes above 141. The
Windows buttons are 148, 149 and 150. Is it possible to work around this?
Can one change a keycode?

Best regards,
Roy.
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].